#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	The FOX 1.6 C++ GUI Toolkit
Summary(pl.UTF-8):	FOX 1.6 - toolkit graficzny w C++
Name:		fox16
Version:	1.6.53
Release:	2
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://ftp.fox-toolkit.org/pub/fox-%{version}.tar.gz
# Source0-md5:	324a8f4c53e9bee690252b229ca74a73
Patch0:		%{name}-opt.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-format.patch
URL:		http://www.fox-toolkit.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bzip2-devel >= 1.0.2
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel >= 3.5.7
BuildRequires:	libtool >= 2:1.5
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	zlib-devel >= 1.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for 3D
graphics. Subclassing of basic FOX widgets allows for easy extension
beyond the built-in widgets by application writers.

This package contains FOX 1.6.x series.

%description -l pl.UTF-8
FOX jest biblioteką bazującą na C++ do projektowania graficznych
interfejsów użytkownika. Obsługuje wiele właściwości współczesnych
GUI: Drag-and-Drop, listy, ikony, interfejsy wielodokumentowe (MDI),
liczniki, przetwarzanie w tle, automatyczne uaktualnianie GUI, obsługę
grafiki OpenGL. Bazowe klasy widgetów FOX pozwalają na łatwe
rozszerzanie.

Ten pakiet zawiera FOX z serii 1.6.x.

%package progs
Summary:	FOX 1.6 example applications
Summary(pl.UTF-8):	Przykłady aplikacji wykorzystujących FOX 1.6
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	fox-example-apps
Obsoletes:	fox-progs < 1.7
Conflicts:	fox-progs >= 1.7

%description progs
Editor and file browser, written with FOX 1.6.

%description progs -l pl.UTF-8
Edytor i przeglądarka plików napisane z użyciem toolkitu FOX 1.6.

%package devel
Summary:	Header files for FOX 1.6 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FOX 1.6
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	bzip2-devel >= 1.0.2
Requires:	libjpeg-devel >= 6b
Requires:	libpng-devel >= 1.2.5
Requires:	libstdc++-devel
Requires:	libtiff-devel >= 3.5.7
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXrandr-devel
Requires:	zlib-devel >= 1.1.4

%description devel
Header files for FOX 1.6 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FOX 1.6.

%package static
Summary:	FOX 1.6 static libraries
Summary(pl.UTF-8):	Biblioteki statyczne FOX 1.6
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FOX 1.6 static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne FOX 1.6.

%package doc
Summary:	Development documentation for FOX 1.6 library
Summary(pl.UTF-8):	Dokumentacja programisty do biblioteki FOX 1.6
Group:		X11/Development/Libraries

%description doc
Development documentation for FOX 1.6 library.

%description doc -l pl.UTF-8
Dokumentacja programisty do biblioteki FOX 1.6.

%package examples
Summary:	FOX 1.6 - example programs
Summary(pl.UTF-8):	FOX 1.6 - programy przykładowe
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
FOX 1.6 - example programs.

%description examples -l pl.UTF-8
FOX 1.6 - przykładowe programy.

%prep
%setup -q -n fox-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--enable-debug}%{!?debug:--enable-release} \
	--enable-static%{!?with_static_libs:=no} \
	--with-opengl \
	--with-xft \
	--with-shape \
	--with-xshm \
	--with-xcursor \
	--with-xrandr \
	--with-xim

%{__make}

%{__make} -C doc docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C tests clean
cp -a tests/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv -v $RPM_BUILD_ROOT%{_bindir}/fox-config $RPM_BUILD_ROOT%{_bindir}/fox16-config
mv -v $RPM_BUILD_ROOT%{_bindir}/reswrap $RPM_BUILD_ROOT%{_bindir}/reswrap16
mv -v $RPM_BUILD_ROOT%{_mandir}/man1/reswrap.1 $RPM_BUILD_ROOT%{_mandir}/man1/reswrap16.1
mv -v $RPM_BUILD_ROOT%{_pkgconfigdir}/fox.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/fox-1.6.pc

%{__rm} doc/Makefile* doc/*/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE_ADDENDUM README
%attr(755,root,root) %{_libdir}/libCHART-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCHART-1.6.so.0
%attr(755,root,root) %{_libdir}/libFOX-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFOX-1.6.so.0

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Adie.stx
%attr(755,root,root) %{_bindir}/PathFinder
%attr(755,root,root) %{_bindir}/adie
%attr(755,root,root) %{_bindir}/calculator
%attr(755,root,root) %{_bindir}/shutterbug
%{_mandir}/man1/PathFinder.1*
%{_mandir}/man1/adie.1*
%{_mandir}/man1/calculator.1*
%{_mandir}/man1/shutterbug.1*

%files devel
%defattr(644,root,root,755)
%doc ADDITIONS TRACING
%attr(755,root,root) %{_bindir}/fox16-config
%attr(755,root,root) %{_bindir}/reswrap16
%attr(755,root,root) %{_libdir}/libCHART-1.6.so
%attr(755,root,root) %{_libdir}/libFOX-1.6.so
%{_libdir}/libCHART-1.6.la
%{_libdir}/libFOX-1.6.la
%{_includedir}/fox-1.6
%{_pkgconfigdir}/fox-1.6.pc
%{_mandir}/man1/reswrap16.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libCHART-1.6.a
%{_libdir}/libFOX-1.6.a
%endif

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Aug 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fox16.git;a=log;h=master

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> b76e10b
- rebuild without libjpeg.la
- release 2 (by relup.sh)

* Sun Feb 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 6612956
- updated to 1.6.53
- removed obsolete link patch

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> acdc491
- release 2 (by relup.sh)

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> d7050bd
- updated to 1.6.50

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> a6de5f9
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c280e9
- release 2 (by relup.sh)

* Tue May 14 2013 Jakub Bogusz <qboosh@pld-linux.org> dda8520
- updated to 1.6.49

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 1907e12
- added format patch (remove unnecessary tr() calls, which trigger format-security warnings

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 3112986
- updated to 1.6.47

* Mon Jul 23 2012 Jakub Bogusz <qboosh@pld-linux.org> af98e65
- updated to 1.6.46
- it seems that cups support via libcups has been withdrawn (HAVE_CUPS_H is never defined)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3057a94
- release 6

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> be95c47
- updated to 0.99.169

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dd2071b
- release 4

* Sun Oct 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d54d057
- updated to 0.99.167

* Sun Oct 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9480ee2
- release 2

* Fri May 13 2011 Jakub Bogusz <qboosh@pld-linux.org> ba52950
- updated to 0.99.164

* Thu May 12 2011 Jakub Bogusz <qboosh@pld-linux.org> ebe5cc7
- latest stable fox

